Bug 1696478 - "No partition table found on disk" dialog appearing in anaconda blivet-gui when it never used to
Summary: "No partition table found on disk" dialog appearing in anaconda blivet-gui wh...
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa
Keywords: Reopened
: 1696484 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-04 23:29 UTC by Adam Williamson
Modified: 2019-04-18 15:36 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-13 15:47:11 UTC


Attachments (Terms of Use)
anaconda.log from an affected test (25.42 KB, text/plain)
2019-04-04 23:47 UTC, Adam Williamson
no flags Details
dbus.log from an affected test (2.92 KB, text/plain)
2019-04-04 23:47 UTC, Adam Williamson
no flags Details
progam.log from an affected test (24.19 KB, text/plain)
2019-04-04 23:47 UTC, Adam Williamson
no flags Details
storage.log from an affected test (42.32 KB, text/plain)
2019-04-04 23:48 UTC, Adam Williamson
no flags Details
syslog from an affected test (270.11 KB, text/plain)
2019-04-04 23:49 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2019-04-04 23:29:52 UTC
In Fedora-Rawhide-20190403.n.1 testing, several of the installer blivet-gui ("advanced custom") tests failed because, when they went to create a partition in the blivet-gui interface, a dialog appeared (titled "No partition table found on disk") and asked them to pick between GPT or msdos disk label. This has, AFAICS, never happened before.

Neither python-blivet nor blivet-gui has changed for weeks in Rawhide, so I can only think the new anaconda is causing this somehow. Presumably it was previously creating a boot label or at least communicating to blivet-gui what type of disk label to create, but now it isn't?

Interestingly, this didn't happen on *every* test, it seems to be slightly random. On the production instance, it looks like 3 blivet-gui tests ran into this; about 10 did not. There may be some sort of race involved?

I do not yet know if this also affects F30, we should find out with the next compose.

Comment 1 Adam Williamson 2019-04-04 23:47 UTC
Created attachment 1552150 [details]
anaconda.log from an affected test

Comment 2 Adam Williamson 2019-04-04 23:47 UTC
Created attachment 1552151 [details]
dbus.log from an affected test

Comment 3 Adam Williamson 2019-04-04 23:47 UTC
Created attachment 1552152 [details]
progam.log from an affected test

Comment 4 Adam Williamson 2019-04-04 23:48 UTC
Created attachment 1552153 [details]
storage.log from an affected test

Comment 5 Adam Williamson 2019-04-04 23:49 UTC
Created attachment 1552154 [details]
syslog from an affected test

Comment 6 Jiri Konecny 2019-04-05 09:32:25 UTC
Vojta please look on this if this have to be adjusted because of some changes in Anaconda or it needs polishing from the blivet-gui side.

Thanks

Comment 7 Adam Williamson 2019-04-06 15:05:05 UTC
So this is affecting F30 too, the openQA tests of the latest F30 compose confirm it. One small note - the default selection in the dialog differs depending on whether the system is booted BIOS or UEFI, defaulting to msdos for BIOS and gpt for UEFI. So the system does 'know' on some level what type of label it should probably be using.

Comment 8 Vojtech Trefny 2019-04-09 05:52:28 UTC
*** Bug 1696484 has been marked as a duplicate of this bug. ***

Comment 9 Vojtech Trefny 2019-04-09 07:03:12 UTC
I'm changing component to anaconda, blivet-gui is working "as expected" -- there is no partition table on the disk so it will show you a dialog to create it.
Anaconda should "initialize" all selected disks, meaning it should schedule actions to create the partition table. I've tested this with two empty disks (without partition tables) and when (de)selecting the disks and switching from blivet-gui to custom partitioning and back, sometimes the disks are initialized, sometimes not and sometimes only one is initialized so it looks like a race condition.

Comment 10 Vendula Poncova 2019-04-10 11:25:01 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1942

Comment 11 Fedora Update System 2019-04-11 13:35:56 UTC
anaconda-30.25.6-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ae44e47fb

Comment 12 Fedora Update System 2019-04-13 01:58:06 UTC
anaconda-30.25.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ae44e47fb

Comment 13 Fedora Update System 2019-04-13 15:47:11 UTC
anaconda-30.25.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Adam Williamson 2019-04-17 19:04:14 UTC
This is fixed for F30 indeed, but it seems the fix has yet to reach Rawhide. Can you please cut a new release on the 31.x branch and send this fix to Rawhide too? Thanks.

Comment 15 Jiri Konecny 2019-04-18 09:21:59 UTC
It should be in the Rawhide automatically. 

Martin could you please take a look on this?

Comment 16 Adam Williamson 2019-04-18 15:17:14 UTC
Jiri: there just hasn't been a release/package build for Rawhide since this was fixed. The most recent build on Rawhide is anaconda-31.8-1.fc31 from 2019-04-09. The fix was merged on 2019-04-11. anaconda-30.25.6-1.fc30 was built shortly after, but no build was done for Rawhide.

Comment 17 Martin Kolman 2019-04-18 15:25:43 UTC
Looks like I forgot to trigger the Rawhide build back when I did the F30 one. 

Rawhide build running now:
https://koji.fedoraproject.org/koji/taskinfo?taskID=34254177

Comment 18 Jiri Konecny 2019-04-18 15:36:40 UTC
Thanks Martin :)


Note You need to log in before you can comment on or make changes to this bug.